<?php // vim: ts=4 sts=4 sw=4 ai noet fdm=marker:
// $Id: assist.inc.php,v 1.2 2005/01/01 07:31:15 ishii Exp $

// JavaScriptによる入力支援を行うプラグイン

// {{{ plugin_assistance_action()

function plugin_assist_action()
{
	global $line_rules;

	$fmt =<<<_FMT_
	<td><a href='javascript:void(0);' onclick='ins("%s");'>%s</a></td>\n
_FMT_;

	$table = '';
	$i = 0;
	foreach( $line_rules as $k => $v )
	{
		if( preg_match("/<img\s.*/", $v) )
		{
			$k = preg_replace("/\)$/", "", $k);
			$k = preg_replace("/^\\\s\(/", " ", $k);
			$k = preg_replace("/&amp;\((.*)\);/", "&amp;\\1;", $k);

			if( $i == 0 )
			{
				$table .= '<tr>';
			}
			$table .= sprintf( $fmt, $k, $v );
			if( $i == 2 )
			{
				$table .= '</tr>';
			}
			$i++;
			$i = ( $i >= 3 ) ? 0 : $i;
		}
	}

	// {{{ html

	echo<<<_HTML_
<html>
	<head>
		<title>入力支援フォーム</title>
		<script language="JavaScript">
		<!--
			function ins(str)
			{
				var currentMessage = window.opener.document.bwiki.msg.value;
				window.opener.document.bwiki.msg.value = currentMessage + str;
				return;
			}
		-->
		</script>
		<style TYPE="text/css">
		<!--
			img { border: none; }
			th { background-color: #ddeeff; }
			td
			{
				text-align: center;
				width: 45px;
				background-color: #f0f8ff;
			}
			a { display: block; }
			a:hover { background-color: #ddeeff; }
		-->
		</style>
	</head>
	<body onload='window.focus();'>
		<div align='center'>
			<table>
				<th colspan='3'>顔アイコン</th>
				{$table}
			</table>
			<input type='button' onclick='window.close();' value='閉じる'>
		</div>
	</body>
</html>
_HTML_;

	// }}}

	exit;
}

// }}}

?>
